global.osname =
    Ti.Platform.osname == "iphone" || Ti.Platform.osname == "ipad"
        ? "iphone"
        : "android";
global.ver = parseInt(String(Ti.Platform.version).split(".")[0]); //workaround for bug on showCamera on Android10
global.applicationDataDirectory = Ti.Filesystem.applicationDataDirectory;
global.externalStorageDirectory = Ti.Filesystem.externalStorageDirectory;

/**
 * create different methods for different folders.
 */
var photoField = require("photo");
// photoField.requestPerms();
var audioField = require("audio");

var photoW = Ti.UI.createWindow({
    title: "Photo Capture File Handling",
    backgroundColor: "#fff",
});
photoW.add(photoField.photo());

var tab1 = Ti.UI.createTab({
    title: "Photo",
    icon: "assets/images/tab1.png",
    window: photoW,
});

var videoW = Ti.UI.createWindow({
    title: "Video Capture File Handling",
    backgroundColor: "#fff",
});

var tab2 = Ti.UI.createTab({
    title: "Video",
    icon: "assets/images/tab2.png",
    window: videoW,
});

var audioW = Ti.UI.createWindow({
    title: "Audio Capture File Handling",
    backgroundColor: "#fff",
});
audioW.add(audioField.audio());

var tab3 = Ti.UI.createTab({
    title: "Audio",
    icon: "assets/images/tab1.png",
    window: audioW,
});

/**
 * Create a new `Ti.UI.TabGroup`.
 */
var tabGroup = Ti.UI.createTabGroup();

/**
 * Add the two created tabs to the tabGroup object.
 */
tabGroup.addTab(tab1);
tabGroup.addTab(tab2);
tabGroup.addTab(tab3);

/**
 * Open the tabGroup
 */
tabGroup.open();
